| Home | Libraries | People | FAQ | More

###### string::rbegin (2 of 2 overloads)

Return a reverse iterator to the first character of the reversed container.

###### Synopsis

    const_reverse_iterator
    rbegin() const;

###### Description

Returns the pointed-to character that corresponds to the last character of the non-reversed container. If the container is empty, `rend()` is returned.

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.